MQVuserKeyingMaterial (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms.ecc

## Class MQVuserKeyingMaterial

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.ecc.MQVuserKeyingMaterial

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class MQVuserKeyingMaterial
      extends ASN1Object

  RFC 5753/3278: MQVuserKeyingMaterial object.

       MQVuserKeyingMaterial ::= SEQUENCE {
         ephemeralPublicKey OriginatorPublicKey,
         addedukm [0] EXPLICIT UserKeyingMaterial OPTIONAL  }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MQVuserKeyingMaterial(OriginatorPublicKey ephemeralPublicKey, ASN1OctetString addedukm)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getAddedukm()`
    `OriginatorPublicKey` | `getEphemeralPublicKey()`
    `static MQVuserKeyingMaterial` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an MQVuserKeyingMaterial object from a tagged object.
    `static MQVuserKeyingMaterial` | `getInstance(java.lang.Object obj)` Return an MQVuserKeyingMaterial object from the given object.
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MQVuserKeyingMaterial

          public MQVuserKeyingMaterial(OriginatorPublicKey ephemeralPublicKey,
                                       ASN1OctetString addedukm)

  - ### Method Detail

    - #### getInstance

          public static MQVuserKeyingMaterial getInstance(ASN1TaggedObject obj,
                                                          boolean explicit)

      Return an MQVuserKeyingMaterial object from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want.
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static MQVuserKeyingMaterial getInstance(java.lang.Object obj)

      Return an MQVuserKeyingMaterial object from the given object.

      Accepted inputs:

      - null → null
      - `MQVuserKeyingMaterial` object
      - `ASN1Sequence` with MQVuserKeyingMaterial inside it.
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getEphemeralPublicKey

          public OriginatorPublicKey getEphemeralPublicKey()

    - #### getAddedukm

          public ASN1OctetString getAddedukm()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.